ojph::mem_elastic_allocator Class Reference

`#include <ojph_mem.h>`

## Classes

struct | stores_list

## Public Member Functions

| mem_elastic_allocator (ui32 chunk_size)
| ~mem_elastic_allocator ()
void | get_buffer (ui32 needed_bytes, coded_lists *&p)

## Private Attributes

stores_list * | store
stores_list * | cur_store
size_t | total_allocated
const ui32 | chunk_size

## Constructor & Destructor Documentation

## mem_elastic_allocator()

ojph::mem_elastic_allocator::mem_elastic_allocator | ( | ui32 | chunk_size | ) |

inline

References cur_store, store, and total_allocated.

## ~mem_elastic_allocator()

ojph::mem_elastic_allocator::~mem_elastic_allocator | ( |  | ) |

inline

References ojph::mem_elastic_allocator::stores_list::next_store, and store.

## Member Function Documentation

## get_buffer()

void ojph::mem_elastic_allocator::get_buffer | ( | ui32 | needed_bytes,
|  | coded_lists *& | p
| ) |  |

References ojph::mem_elastic_allocator::stores_list::available, chunk_size, cur_store, ojph::mem_elastic_allocator::stores_list::data, ojph::mem_elastic_allocator::stores_list::next_store, ojph_max, store, and total_allocated.

Referenced by ojph::local::ojph_encode_codeblock().

## Member Data Documentation

## chunk_size

const ui32 ojph::mem_elastic_allocator::chunk_size

private

Referenced by get_buffer().

## cur_store

stores_list * ojph::mem_elastic_allocator::cur_store

private

Referenced by get_buffer(), and mem_elastic_allocator().

## store

stores_list* ojph::mem_elastic_allocator::store

private

Referenced by get_buffer(), mem_elastic_allocator(), and ~mem_elastic_allocator().

## total_allocated

size_t ojph::mem_elastic_allocator::total_allocated

private

Referenced by get_buffer(), and mem_elastic_allocator().

The documentation for this class was generated from the following files:

- ojph_mem.h
- ojph_mem.cpp